NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.AutoPointBuilder Class Reference

Represents a NXOpen.Weld.AutoPointBuilder builder More...

Inheritance diagram for NXOpen.Weld.AutoPointBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  InterferenceDetails {
  NoWeldsNearBodies, Same, Replaced, Added,
  Deleted
}
 Settings to indicate whether an interference is near an existing weld point. More...
 
enum  OrientationMethodTypes { SurfaceNormal, CoordinateSystem }
 The type of orientation method for defining the default coordinate system. More...
 
enum  Types { New, Move }
 Settings to indicate whether new features should be created, or if features will be reused. More...
 
enum  ZDirection { FaceNormal, Opposite }
 Setting to indicate the default weld csys Z direction. More...
 

Public Member Functions

unsafe NXOpen.NXObject CreateFeatureSet (int interferenceIndex)
 Creates a feature set containing weld points for a given interference. More...
 
unsafe int FindNumberOfInterferenceRegions ()
 Finds all the interference areas between the selected components. More...
 
unsafe
NXOpen.Weld.AutoPointBuilder.InterferenceDetails 
GetInterferenceDetails (int interferenceIndex)
 The status indicating if the interference has existing weld points touching it. More...
 
unsafe
NXOpen.Weld.PointMarkBuilder.WeldTypes 
GetWeldType ()
 Gets the weld type references in the customer defaults to create. More...
 
unsafe void SetDisplayCsys (bool showCsys)
 Indicates whether the csys should be displayed on creation More...
 
unsafe void SetShowSolids (bool showSolids)
 Indicates the display mode. More...
 
unsafe void SetShowThruState (bool showThruState)
 Indicates whether the output point should show thru on creation More...
 
unsafe void SetWeldType (NXOpen.Weld.PointMarkBuilder.WeldTypes weldType)
 Sets the weld type references in the customer defaults to create. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Assemblies.SelectComponentList 
ComponentsToJoin [get]
 Returns the components that should be welded together. More...
 
unsafe
NXOpen.Assemblies.SelectComponentList 
ComponentsTreatAsUnit [get]
 Returns the components to treat as unit. More...
 
unsafe
NXOpen.Weld.AutoPointBuilder.ZDirection 
DefaultZDirection [get, set]
 Returns or sets the direction of the Z axis of the coordinate system for the feature. More...
 
unsafe double DistanceFromEnds [get, set]
 Returns or sets the distance from the ends to start creating weld points at More...
 
unsafe double FaceGapDistance [get, set]
 Returns or sets the face gap distance. More...
 
unsafe NXOpen.Matrix3x3 ManipulatorMatrix [get, set]
 Returns or sets the rotation matrix to use for defining the feature csys. More...
 
unsafe double MaximumBendRadius [get, set]
 Returns or sets the bend radius of a flange. More...
 
unsafe double MaximumCenterlineWidth [get, set]
 Returns or sets the maximum centerline width. More...
 
unsafe double MaximumSingleThickness [get, set]
 Returns or sets the maximum single metal thinkness for all the selected components. More...
 
unsafe double MaximumSpacingBetweenPoints [get, set]
 Returns or sets the maximum spacing between points More...
 
unsafe int MimimumNumberPointsOnOverlap [get, set]
 Returns or sets the mimimum number points to create on an overlap sheet More...
 
unsafe double MinimumFlangeWidth [get, set]
 Returns or sets the minimum flange width. More...
 
unsafe double MinimumSpacingBetweenPoints [get, set]
 Returns or sets the minimum spacing between points More...
 
unsafe double OffsetDistanceFromEdge [get, set]
 Returns or sets the offset distance from edge More...
 
unsafe
NXOpen.Weld.AutoPointBuilder.OrientationMethodTypes 
OrientationMethod [get, set]
 Returns or sets the orientation method for defining a csys More...
 
unsafe
NXOpen.Features.SelectFeatureList 
ReuseFeatures [get]
 Returns the feature to reuse intead of creating new. More...
 
unsafe double ReuseMatchTolerance [get, set]
 Returns or sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location. More...
 
unsafe
NXOpen.Weld.AutoPointBuilder.Types 
Type [get, set]
 Returns or sets the type of creation. More...
 
unsafe double UniformSpacingTolerance [get, set]
 Returns or sets the distance that maximum spacing can be exceeded to achieve uniform spacing More...
 
unsafe
NXOpen.Weld.WeldFeatureSetType 
WeldType [get, set]
 Returns or sets the weld point type to create More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Weld.AutoPointBuilder builder

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateAutoPointBuilder

Default values.

Property Value

DistanceFromEnds

15.0 (millimeters part), 0.5 (inches part)

FaceGapDistance

1.5 (millimeters part), 0.05 (inches part)

MaximumBendRadius

16 (millimeters part), 0.75 (inches part)

MaximumCenterlineWidth

100 (millimeters part), 4 (inches part)

MaximumSingleThickness

2 (millimeters part), 0.08 (inches part)

MaximumSpacingBetweenPoints

50 (millimeters part), 2.0 (inches part)

MimimumNumberPointsOnOverlap

3

MinimumFlangeWidth

6.0 (millimeters part), 0.25 (inches part)

MinimumSpacingBetweenPoints

25 (millimeters part), 1.0 (inches part)

OffsetDistanceFromEdge

6.25 (millimeters part), 0.25 (inches part)

ReuseMatchTolerance

1.0 (millimeters part), 0.04 (inches part)

UniformSpacingTolerance

4 (millimeters part), 0.16 (inches part)

Created in NX6.0.0

Member Enumeration Documentation

Settings to indicate whether an interference is near an existing weld point.

Enumerator
NoWeldsNearBodies 

Indicates no existing weld points are in this interference area

Same 

Indicates weld points exist and part name are the same.

Replaced 

Indicates weld points exist and part names have changed.

Added 

Indicates weld points exist and parts were added.

Deleted 

Indicates weld points exist and parts were removed.

The type of orientation method for defining the default coordinate system.

Enumerator
SurfaceNormal 

Surface Normals.

CoordinateSystem 

Use fixed csys instead of surface normals.

Settings to indicate whether new features should be created, or if features will be reused.

Enumerator
New 

new points are being created

Move 

move existing points

Setting to indicate the default weld csys Z direction.

Enumerator
FaceNormal 

along face normal

Opposite 

opposite face normal

Member Function Documentation

unsafe NXOpen.NXObject NXOpen.Weld.AutoPointBuilder.CreateFeatureSet ( int  interferenceIndex)
inline

Creates a feature set containing weld points for a given interference.

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Parameters
interferenceIndexIndex to the desired interference
Returns
unsafe int NXOpen.Weld.AutoPointBuilder.FindNumberOfInterferenceRegions ( )
inline

Finds all the interference areas between the selected components.

This must be executed or no weld points will be created. The number of regions is used as an index to get the interference status. The first index is 0.

Created in NX6.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Weld.AutoPointBuilder.InterferenceDetails NXOpen.Weld.AutoPointBuilder.GetInterferenceDetails ( int  interferenceIndex)
inline

The status indicating if the interference has existing weld points touching it.

The index for this function is described in the find number of interference regions method.

Created in NX7.5.4

License requirements: ugweld ("UG WELD")

Parameters
interferenceIndexIndex to the desired interference
Returns
unsafe NXOpen.Weld.PointMarkBuilder.WeldTypes NXOpen.Weld.AutoPointBuilder.GetWeldType ( )
inline

Gets the weld type references in the customer defaults to create.

Created in NX10.0.0

License requirements: None.

Returns
unsafe void NXOpen.Weld.AutoPointBuilder.SetDisplayCsys ( bool  showCsys)
inline

Indicates whether the csys should be displayed on creation

Created in NX12.0.2

License requirements: ugweld ("UG WELD")

Parameters
showCsys
unsafe void NXOpen.Weld.AutoPointBuilder.SetShowSolids ( bool  showSolids)
inline

Indicates the display mode.

The created feature output can be shown as a solid or point.

Created in NX12.0.2

License requirements: ugweld ("UG WELD")

Parameters
showSolids
unsafe void NXOpen.Weld.AutoPointBuilder.SetShowThruState ( bool  showThruState)
inline

Indicates whether the output point should show thru on creation

Created in NX12.0.2

License requirements: ugweld ("UG WELD")

Parameters
showThruState
unsafe void NXOpen.Weld.AutoPointBuilder.SetWeldType ( NXOpen.Weld.PointMarkBuilder.WeldTypes  weldType)
inline

Sets the weld type references in the customer defaults to create.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
weldType

Property Documentation

unsafe NXOpen.Assemblies.SelectComponentList NXOpen.Weld.AutoPointBuilder.ComponentsToJoin
get

Returns the components that should be welded together.

This can be one components, or many.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Assemblies.SelectComponentList NXOpen.Weld.AutoPointBuilder.ComponentsTreatAsUnit
get

Returns the components to treat as unit.

No interferences will be found within this component.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Weld.AutoPointBuilder.ZDirection NXOpen.Weld.AutoPointBuilder.DefaultZDirection
getset

Returns or sets the direction of the Z axis of the coordinate system for the feature.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.DistanceFromEnds
getset

Returns or sets the distance from the ends to start creating weld points at

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.FaceGapDistance
getset

Returns or sets the face gap distance.

This will be used to find interferences between bodies.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Matrix3x3 NXOpen.Weld.AutoPointBuilder.ManipulatorMatrix
getset

Returns or sets the rotation matrix to use for defining the feature csys.

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MaximumBendRadius
getset

Returns or sets the bend radius of a flange.

Points will not be put on faces with a radius smaller than this value.

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MaximumCenterlineWidth
getset

Returns or sets the maximum centerline width.

Points will be created using the centerline method if the smallest width is less than this value. If greater, points will be created using the offset from edge method.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MaximumSingleThickness
getset

Returns or sets the maximum single metal thinkness for all the selected components.

If the distance between top faces of two panels (or sheets) is greater than single thickness plus face gap distance, a point will not be created at that location.

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MaximumSpacingBetweenPoints
getset

Returns or sets the maximum spacing between points

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe int NXOpen.Weld.AutoPointBuilder.MimimumNumberPointsOnOverlap
getset

Returns or sets the mimimum number points to create on an overlap sheet

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MinimumFlangeWidth
getset

Returns or sets the minimum flange width.

If opposite sides of a flange are smaller than minimum flange width, it will be ignored.

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.MinimumSpacingBetweenPoints
getset

Returns or sets the minimum spacing between points

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.OffsetDistanceFromEdge
getset

Returns or sets the offset distance from edge

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.AutoPointBuilder.OrientationMethodTypes NXOpen.Weld.AutoPointBuilder.OrientationMethod
getset

Returns or sets the orientation method for defining a csys

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Features.SelectFeatureList NXOpen.Weld.AutoPointBuilder.ReuseFeatures
get

Returns the feature to reuse intead of creating new.

These features will be updated instead of creating new.

Created in NX7.5.1

License requirements: None.

unsafe double NXOpen.Weld.AutoPointBuilder.ReuseMatchTolerance
getset

Returns or sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location.

If the locations are coincident, then the existing weld feature location will be reused.

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.AutoPointBuilder.Types NXOpen.Weld.AutoPointBuilder.Type
getset

Returns or sets the type of creation.

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.AutoPointBuilder.UniformSpacingTolerance
getset

Returns or sets the distance that maximum spacing can be exceeded to achieve uniform spacing

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldFeatureSetType NXOpen.Weld.AutoPointBuilder.WeldType
getset

Returns or sets the weld point type to create

Created in NX6.0.0

Deprecated in NX10.0.0. Use overloaded function with PointMark enum instead.

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.